## ros-melodic-velocity-controllers 0.17.1

=== debian/changelog ===
ros-melodic-velocity-controllers (0.17.1-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-velocity-controllers (0.17.0-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-melodic-velocity-controllers (0.16.1-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-melodic-velocity-controllers (0.16.0-1stretch) stretch; urgency=high

  * Assuming lower limits are smaller than upper limits
  * Solving issues with large rotational limits
  * Bump CMake version to prevent CMP0048
  * Replace header guard with #pragma once
  * Contributors: Franco Fusco, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-velocity-controllers (0.15.1-1stretch) stretch; urgency=high

  * add missing pluginlib deps. (#451 <https://github.com/ros-controls/ros_controllers/issues/451>)
  * Contributors: Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-melodic-velocity-controllers (0.15.0-1stretch) stretch; urgency=high

  * Default all controller builds to C++14
  * boost::scoped_ptr -> std::unique_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-melodic-velocity-controllers (0.14.3-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-melodic-velocity-controllers (0.14.2-1stretch) stretch; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-melodic-velocity-controllers (0.14.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-melodic-velocity-controllers (0.14.0-1stretch) stretch; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-melodic-velocity-controllers (0.13.2-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-melodic-velocity-controllers (0.13.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-melodic-velocity-controllers (0.13.0-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-melodic-velocity-controllers (0.12.3-1stretch) stretch; urgency=high

  * Supply NodeHandle to urdf::Model. Closes #244 <https://github.com/ros-controls/ros_controllers/issues/244>
  * Contributors: Piyush Khandelwal

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-melodic-velocity-controllers (0.12.2-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-melodic-velocity-controllers (0.12.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-melodic-velocity-controllers (0.12.0-1stretch) stretch; urgency=high

  * Change for format2
  * Add Enrique and Bence to maintainers
  * Replace boost::shared_ptr<urdf::XY> with urdf::XYConstSharedPtr when exists
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-melodic-velocity-controllers (0.11.2-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-melodic-velocity-controllers (0.11.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 22 May 2016 23:00:00 -0000

ros-melodic-velocity-controllers (0.11.0-1stretch) stretch; urgency=high

  * Add antinwindup to get and setGains logic for underlying PID controller
  * Contributors: Paul Bovbel

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 02 May 2016 23:00:00 -0000

ros-melodic-velocity-controllers (0.10.0-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-melodic-velocity-controllers (0.9.2-1stretch) stretch; urgency=high

  * Thread-safe and realtime-safe forward controllers.
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-melodic-velocity-controllers (0.9.1-1stretch) stretch; urgency=high

  * Update package maintainers
  * Add missing dependencies
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-melodic-velocity-controllers (0.9.0-1stretch) stretch; urgency=high

  * New controller: velocity_controllers/JointGroupVelocityController (multi-joint)
  * New controller: velocity_controllers/JointPositionController
  * Contributors: ipa-fxm, Dave Coleman

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-melodic-velocity-controllers (0.8.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 10 Jul 2014 23:00:00 -0000



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-velocity-controllers//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-velocity-controllers 0.17.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(velocity_controllers)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  angles
  control_msgs
  control_toolbox
  controller_interface
  forward_command_controller
  realtime_tools
  urdf
  pluginlib
)

# Declare catkin package
catkin_package(
  CATKIN_DEPENDS
    angles
    control_msgs
    control_toolbox
    controller_interface
    forward_command_controller
    realtime_tools
    urdf
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME}
  src/joint_velocity_controller.cpp
  src/joint_position_controller.cpp
  src/joint_group_velocity_controller.cpp
)

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

# Install
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# Install library
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(FILES velocity_controllers_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-velocity-controllers (0.17.3-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-melodic-velocity-controllers (0.17.2-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 20 Jan 2021 00:00:00 -0000

ros-melodic-velocity-controllers (0.17.1-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-velocity-controllers (0.17.0-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-melodic-velocity-controllers (0.16.1-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-melodic-velocity-controllers (0.16.0-1bionic) bionic; urgency=high

  * Assuming lower limits are smaller than upper limits
  * Solving issues with large rotational limits
  * Bump CMake version to prevent CMP0048
  * Replace header guard with #pragma once
  * Contributors: Franco Fusco, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-velocity-controllers (0.15.1-1bionic) bionic; urgency=high

  * add missing pluginlib deps. (#451 <https://github.com/ros-controls/ros_controllers/issues/451>)
  * Contributors: Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-melodic-velocity-controllers (0.15.0-1bionic) bionic; urgency=high

  * Default all controller builds to C++14
  * boost::scoped_ptr -> std::unique_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-melodic-velocity-controllers (0.14.3-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-melodic-velocity-controllers (0.14.2-1bionic) bionic; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-melodic-velocity-controllers (0.14.1-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-melodic-velocity-controllers (0.14.0-1bionic) bionic; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-melodic-velocity-controllers (0.13.2-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-melodic-velocity-controllers (0.13.1-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-melodic-velocity-controllers (0.13.0-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-melodic-velocity-controllers (0.12.3-1bionic) bionic; urgency=high

  * Supply NodeHandle to urdf::Model. Closes #244 <https://github.com/ros-controls/ros_controllers/issues/244>
  * Contributors: Piyush Khandelwal

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-melodic-velocity-controllers (0.12.2-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-melodic-velocity-controllers (0.12.1-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-melodic-velocity-controllers (0.12.0-1bionic) bionic; urgency=high

  * Change for format2
  * Add Enrique and Bence to maintainers
  * Replace boost::shared_ptr<urdf::XY> with urdf::XYConstSharedPtr when exists
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-melodic-velocity-controllers (0.11.2-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-melodic-velocity-controllers (0.11.1-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 22 May 2016 23:00:00 -0000

ros-melodic-velocity-controllers (0.11.0-1bionic) bionic; urgency=high

  * Add antinwindup to get and setGains logic for underlying PID controller
  * Contributors: Paul Bovbel

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 02 May 2016 23:00:00 -0000

ros-melodic-velocity-controllers (0.10.0-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-melodic-velocity-controllers (0.9.2-1bionic) bionic; urgency=high

  * Thread-safe and realtime-safe forward controllers.
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-melodic-velocity-controllers (0.9.1-1bionic) bionic; urgency=high

  * Update package maintainers
  * Add missing dependencies
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-melodic-velocity-controllers (0.9.0-1bionic) bionic; urgency=high

  * New controller: velocity_controllers/JointGroupVelocityController (multi-joint)
  * New controller: velocity_controllers/JointPositionController
  * Contributors: ipa-fxm, Dave Coleman



=== debian/control ===
Source: ros-melodic-velocity-controllers
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-angles, ros-melodic-catkin, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-controller-interface, ros-melodic-forward-command-controller, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-urdf
Homepage: https://github.com/ros-controls/ros_controllers/wiki
Standards-Version: 3.9.2

Package: ros-melodic-velocity-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-angles, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-controller-interface, ros-melodic-forward-command-controller, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-urdf
Description: velocity_controllers

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
